[tool.poetry]
name = "servicemanager"
version = "0.0.1"
description = "Computer equipment prevention and maintenance management system"
authors = ["Sergey Vanyushkin <pi3c@yandex.ru>"]
license = "MIT"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.10"
fastapi = {extras = ["all"], version = "^0.108.0"}
SQLAlchemy = "^2.0.25"
asyncpg = "^0.29.0"
pydantic-settings = "^2.1.0"
uvicorn = "^0.25.0"

[tool.poetry.group.dev.dependencies]
pytest = "^7.4.4"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
app = "servicemanager.main:run_app"
